/*
 * deviced
 *
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


/* Action types */
#define RELEASE_ACTION                 "ReleaseAction"
#define WARNING_ACTION                 "WarningAction"
#define LIMIT_ACTION                   "LimitAction"
#define SHUTDOWN_ACTION                "ShutdownAction"

#define SIGNAL_OVERHEAT_TIME           "TimeUpdate"
#define OVERHEAT_CALLBACK_TIME		1 //seconds
#define OVERHEAT_POWEROFF_TIME		30

#define SAMPLE_CNT		4

#define TEMPERATURE_NORMAL		70
#define TEMPERATURE_WARNING		75
#define TEMPERATURE_LIMIT		80
#define TEMPERATURE_SHUTDOWN		85

enum thermal_enum_type {
	NORMAL,
	WARNING,
	LIMIT,
	SHUTDOWN
};

struct thermal_config_info {
	int normal;
	int warning;
	int limit;
	int shutdown;
};
